Subject: Re: bug#44329: 28.0.50; Crash in bidi_mirror_char on view-hello-file when no bidi-display-reordering (harfbuzz)

From: Stefan Kangas <[email-masked]>
Date: Fri, 30 Oct 2020 16:04:53 +0000

Eli Zaretskii <[email-masked]> writes:

> tags 44329 wontfix
> thanks
>
>> I'm seeing a crash in displaying hebrew characters when I have
>> bidi-display-reordering set to nil. I had to set it to t to be able to
>> write this email :)
>
> This isn't supported: that variable is not supposed to be set nil,
> except for debugging display problems.

The doc string of `bidi-display-reordering' says:

    Don’t set to nil in normal sessions, as that is not supported.

I believe this was added in Emacs 27.1.

I'm therefore also closing this bug report.